<?
/* QM Promisance - Turn-based strategy game
 * Copyright (C) 2001-2009 QMT Productions
 *
 * $URL: https://qmpromisance.svn.sourceforge.net/svnroot/qmpromisance/promisance/tags/release-4_3/lang/en-US/common.php $
 * $Id: common.php 1692 2009-11-01 20:48:01Z Quietust $
 */

if (!defined('IN_GAME'))
	die("Access denied");

$lang['en-US'] += array(
	// Past era
	'ERA_PAST_NAME'			=> 'Past',
	'ERA_PAST_PEASANTS'		=> 'Peasants',
	'ERA_PAST_FOOD'			=> 'Grains',
	'ERA_PAST_RUNES'		=> 'Mana',
	'ERA_PAST_TRPARM'		=> 'Footmen',
	'ERA_PAST_TRPLND'		=> 'Catapults',
	'ERA_PAST_TRPFLY'		=> 'Zeppelins',
	'ERA_PAST_TRPSEA'		=> 'Galleons',
	'ERA_PAST_TRPWIZ'		=> 'Wizards',
	'ERA_PAST_BLDPOP'		=> 'Huts',
	'ERA_PAST_BLDCASH'		=> 'Markets',
	'ERA_PAST_BLDTRP'		=> 'Blacksmiths',
	'ERA_PAST_BLDCOST'		=> 'Keeps',
	'ERA_PAST_BLDWIZ'		=> 'Mage Towers',
	'ERA_PAST_BLDFOOD'		=> 'Farms',
	'ERA_PAST_BLDDEF'		=> 'Guard Towers',
	'ERA_PAST_SPELL_SPY'		=> 'Crystal Ball',
	'ERA_PAST_SPELL_BLAST'		=> 'Fireball',
	'ERA_PAST_SPELL_SHIELD'		=> 'Spell Shield',
	'ERA_PAST_SPELL_STORM'		=> 'Storms',
	'ERA_PAST_SPELL_RUNES'		=> 'Lightning Strike',
	'ERA_PAST_SPELL_STRUCT'		=> 'Wrath of Demons',
	'ERA_PAST_SPELL_FOOD'		=> 'Cornucopia',
	'ERA_PAST_SPELL_CASH'		=> 'Tree of Gold',
	'ERA_PAST_SPELL_GATE'		=> 'Open Time Gate',
	'ERA_PAST_SPELL_UNGATE'		=> 'Close Time Gate',
	'ERA_PAST_SPELL_FIGHT'		=> 'Magic User Fight',
	'ERA_PAST_SPELL_STEAL'		=> 'Embezzlement',
	'ERA_PAST_SPELL_ADVANCE'	=> 'Advance to Present',
	'ERA_PAST_SPELL_REGRESS'	=> 'Regress',

	// Present era
	'ERA_PRESENT_NAME'		=> 'Present',
	'ERA_PRESENT_PEASANTS'		=> 'Civilians',
	'ERA_PRESENT_FOOD'		=> 'Nutrients',
	'ERA_PRESENT_RUNES'		=> 'Energy',
	'ERA_PRESENT_TRPARM'		=> 'Infantry',
	'ERA_PRESENT_TRPLND'		=> 'Tanks',
	'ERA_PRESENT_TRPFLY'		=> 'Jets',
	'ERA_PRESENT_TRPSEA'		=> 'Battleships',
	'ERA_PRESENT_TRPWIZ'		=> 'Telepaths',
	'ERA_PRESENT_BLDPOP'		=> 'Apartments',
	'ERA_PRESENT_BLDCASH'		=> 'Business Centers',
	'ERA_PRESENT_BLDTRP'		=> 'Factories',
	'ERA_PRESENT_BLDCOST'		=> 'Warehouses',
	'ERA_PRESENT_BLDWIZ'		=> 'PSI Centers',
	'ERA_PRESENT_BLDFOOD'		=> 'Plantations',
	'ERA_PRESENT_BLDDEF'		=> 'Bunkers',
	'ERA_PRESENT_SPELL_SPY'		=> 'Mind Observation',
	'ERA_PRESENT_SPELL_BLAST'	=> 'Psionic Blast',
	'ERA_PRESENT_SPELL_SHIELD'	=> 'Psionic Barrier',
	'ERA_PRESENT_SPELL_STORM'	=> 'Storms',
	'ERA_PRESENT_SPELL_RUNES'	=> 'Lightning Strike',
	'ERA_PRESENT_SPELL_STRUCT'	=> 'Rage of Angels',
	'ERA_PRESENT_SPELL_FOOD'	=> 'Cornucopia',
	'ERA_PRESENT_SPELL_CASH'	=> 'Tree of Gold',
	'ERA_PRESENT_SPELL_GATE'	=> 'Open Time Gate',
	'ERA_PRESENT_SPELL_UNGATE'	=> 'Close Time Gate',
	'ERA_PRESENT_SPELL_FIGHT'	=> 'Magic User Fight',
	'ERA_PRESENT_SPELL_STEAL'	=> 'Embezzlement',
	'ERA_PRESENT_SPELL_ADVANCE'	=> 'Advance to Future',
	'ERA_PRESENT_SPELL_REGRESS'	=> 'Regress to Past',

	// Future era
	'ERA_FUTURE_NAME'		=> 'Future',
	'ERA_FUTURE_PEASANTS'		=> 'Drones',
	'ERA_FUTURE_FOOD'		=> 'Power Cells',
	'ERA_FUTURE_RUNES'		=> 'Bandwidth',
	'ERA_FUTURE_TRPARM'		=> 'Cyborgs',
	'ERA_FUTURE_TRPLND'		=> 'Juggernauts',
	'ERA_FUTURE_TRPFLY'		=> 'Hovercrafts',
	'ERA_FUTURE_TRPSEA'		=> 'Dreadnoughts',
	'ERA_FUTURE_TRPWIZ'		=> 'Master AIs',
	'ERA_FUTURE_BLDPOP'		=> 'Giliads',
	'ERA_FUTURE_BLDCASH'		=> 'E-Commerce Sites',
	'ERA_FUTURE_BLDTRP'		=> 'Replicators',
	'ERA_FUTURE_BLDCOST'		=> 'Storage Bays',
	'ERA_FUTURE_BLDWIZ'		=> 'Supercomputers',
	'ERA_FUTURE_BLDFOOD'		=> 'Power Plants',
	'ERA_FUTURE_BLDDEF'		=> 'Laser Turrets',
	'ERA_FUTURE_SPELL_SPY'		=> 'High Orbit Blanket',
	'ERA_FUTURE_SPELL_BLAST'	=> 'Ion Storm',
	'ERA_FUTURE_SPELL_SHIELD'	=> 'Plasma Shield',
	'ERA_FUTURE_SPELL_STORM'	=> 'Storms',
	'ERA_FUTURE_SPELL_RUNES'	=> 'Lightning Strike',
	'ERA_FUTURE_SPELL_STRUCT'	=> 'Nanotech Warriors',
	'ERA_FUTURE_SPELL_FOOD'		=> 'Cornucopia',
	'ERA_FUTURE_SPELL_CASH'		=> 'Tree of Gold',
	'ERA_FUTURE_SPELL_GATE'		=> 'Open Time Gate',
	'ERA_FUTURE_SPELL_UNGATE'	=> 'Close Time Gate',
	'ERA_FUTURE_SPELL_FIGHT'	=> 'Magic User Fight',
	'ERA_FUTURE_SPELL_STEAL'	=> 'Embezzlement',
	'ERA_FUTURE_SPELL_ADVANCE'	=> 'Advance',
	'ERA_FUTURE_SPELL_REGRESS'	=> 'Regress to Present',

	'ERA_UNKNOWN'			=> 'Unknown',

	// Race names
	'RACE_HUMAN'			=> 'Human',
	'RACE_ELF'			=> 'Elf',
	'RACE_DWARF'			=> 'Dwarf',
	'RACE_TROLL'			=> 'Troll',
	'RACE_GNOME'			=> 'Gnome',
	'RACE_GREMLIN'			=> 'Gremlin',
	'RACE_ORC'			=> 'Orc',
	'RACE_DROW'			=> 'Drow',
	'RACE_GOBLIN'			=> 'Goblin',
	'RACE_UNKNOWN'			=> 'Unknown',

	// Clan "none" name
	'CLAN_NONE'			=> 'None',

	// Error page titles
	'ERROR_TITLE'			=> 'Error',
	'ERROR_TITLE_ACCESS'		=> 'Access Denied',

	// Error page messages
	'ERROR_DATABASE_OFFLINE'	=> 'The game database is currently unavailable. Please try again later.',
	'ERROR_SIGNUP_CLOSED'		=> 'Sorry, this game is currently not accepting new signups.  Please check back later.',
	'ERROR_SIGNUP_DISABLED'		=> 'Sorry, this game does not accept new signups.',
	'ERROR_NOT_LOGGED_IN'		=> 'You are not logged in!',
	'ERROR_LOGIN_NO_SESSION'	=> 'Session data not found!',
	'ERROR_LOGIN_NO_USER'		=> 'No such user was found.',
	'ERROR_LOGIN_OLD_SESSION'	=> 'Your login session has expired.',
	'ERROR_LOGIN_PAGE_PERMISSION'	=> 'You do not have permission to access this page!',
	'ERROR_LOGIN_NO_EMPIRE'		=> 'No such empire exists in this world.',
	'ERROR_LOGIN_EMPIRE_DELETE_MARKED'
					=> 'That empire has already been marked for deletion.',
	'ERROR_LOGIN_EMPIRE_DELETED'	=> 'That empire has already been deleted.',
	'ERROR_LOGIN_EMPIRE_PERMISSION'	=> 'You do not have permission to access that empire.',
	'ERROR_PLEASE_RELOGIN_CHECK'	=> 'Please check your browser settings and <a href="?location=login">login</a> again.',
	'ERROR_PLEASE_RELOGIN'		=> '<a href="?location=login">Click here</a> to login again.',
	'ERROR_LOCK_TIMEOUT'		=> 'Timeout encountered while obtaining database locks - please contact the game administrator immediately!',

	// Bans
	'YOU_ARE_BANNED'		=> 'You have been banned from this game.<br />'.
						'Date: %1$s<br />'.
						'Reason: %2$s<br />'.
						'Duration: %3$s<br />'.
						'If you feel you have been banned mistakenly, please contact the game administrator at <a href="mailto:%4$s">%4$s</a>.<br />'.
						'Be sure to include your empire number and your username.<br />',
	'BANNED_NO_REASON'		=> 'not specified',
	'BANNED_PERMANENT'		=> 'permanent',
	'BANNED_EXPIRES'		=> 'until %1$s',

	// Security violation
	'SECURITY_TITLE'		=> 'Security Violation',
	'SECURITY_DESC'			=> 'We have determined that you are accessing the game the wrong way, or an error might have occurred.',
	'SECURITY_BADPAGE'		=> 'You attempted to load the page <b>%1$s</b>, which <b>does not exist</b> in this game.',
	'SECURITY_BADREF'		=> 'You attempted to load the page <b>%1$s</b> via an off-site link (from <b>%2$s</b>, which is not on <b>%3$s</b>).',
	'SECURITY_NOREF'		=> 'You attempted to load the page <b>%1$s</b> via a bookmark or by copying and pasting its URL into your address bar.',
	'SECURITY_UNKNOWN'		=> 'You attempted to load the page <b>%1$s</b>, which resulted in the unknown error condition <b>%2$s</b>.',
	'SECURITY_INSTRUCT'		=> 'If this error persists, take the following steps in the following order until your problem is resolved:<br />'.
						'1) Return to <a href="%1$s">%1$s</a> and re-login.<br />'.
						'2) Upgrade your web browser.<br />'.
						'3) Reconfigure or disable any proxies you may be using.<br />'.
						'4) Contact the game administrator at <a href="mailto:%2$s">%2$s</a>.<br />'.
						'5) As a last resort, contact your internet service provider.',

	// Round status
	'ROUND_WILL_BEGIN'		=> 'Round begins in %1$s...',
	'ROUND_WILL_BEGIN_FORMAT'	=> 'z \d\a\y\s\, H:i:s',
	'ROUND_WILL_END'		=> 'The current round will end in %1$s...',
	'ROUND_WILL_END_FORMAT'		=> 'z \d\a\y\s\, H:i:s',
	'ROUND_HAS_ENDED'		=> 'The current round has ended! Thanks for playing!',

	// Input error messages
	'INPUT_NEED_USERNAME'		=> 'You must specify a username!',
	'INPUT_USERNAME_TOO_LONG'	=> 'Username specified is too long!',
	'INPUT_NEED_PASSWORD'		=> 'You must specify a password!',
	'INPUT_NEED_NICKNAME'		=> 'You must specify a nickname!',
	'INPUT_NICKNAME_TOO_LONG'	=> 'Nickname specified is too long!',
	'INPUT_NEED_EMAIL'		=> 'You must specify a valid E-mail address.',
	'INPUT_EMAIL_TOO_LONG'		=> 'E-mail address is too long!',
	'INPUT_PASSWORD_MISMATCH'	=> 'Specified passwords do not match!',
	'INPUT_EMAIL_MISMATCH'		=> 'Specified E-mail addresses do not match!',
	'INPUT_NEED_EMPIRE'		=> 'You must specify an empire name!',
	'INPUT_EMPIRE_TOO_LONG'		=> 'Empire name is too long!',
	'INPUT_USERNAME_IN_USE'		=> 'Specified username is already in use!',
	'INPUT_EMAIL_IN_USE'		=> 'Specified E-mail address is already in use!',
	'INPUT_EMPIRE_IN_USE'		=> 'Sorry, that empire name has already been used!',
	'INPUT_INCORRECT_PASSWORD'	=> 'You have specified an incorrect password!',
	'INPUT_EMPIRE_ID'		=> 'Invalid empire number selected!',
	'INPUT_SPELL_NAME'		=> 'You must select a spell to cast!',
	'INPUT_USERNAME_INVALID'	=> 'That username is not allowed!',
	'INPUT_NICKNAME_INVALID'	=> 'That nickname is not allowed!',
	'INPUT_EMPIRE_INVALID'		=> 'That empire name is not allowed!',
	'INPUT_DATEFORMAT_TOO_LONG'	=> 'Date format specified is too long!',

	// Input labels (with trailing colons), mostly
	'LABEL_USERNAME'		=> 'Username:',
	'LABEL_PASSWORD'		=> 'Password:',
	'LABEL_PASSWORD_NEW'		=> 'New Password:',
	'LABEL_PASSWORD_VERIFY'		=> 'Verify Password:',
	'LABEL_NICKNAME'		=> 'Nickname:',
	'LABEL_EMAIL'			=> 'E-Mail:',
	'LABEL_EMAIL_VERIFY'		=> 'Verify E-Mail:',
	'LABEL_EMPIRE'			=> 'Empire Name:',
	'LABEL_RACE'			=> 'Race:',
	'LABEL_ROUND_START'		=> 'Round Start Date:',
	'LABEL_ROUND_COOLDOWN'		=> 'Round Cooldown Date:',
	'LABEL_ROUND_END'		=> 'Round End Date:',
	'LABEL_CLAN'			=> 'Clan:',
	'LABEL_CLAN_NAME'		=> 'Clan Name:',
	'LABEL_CLAN_NEWS'		=> 'Clan News:',
	'LABEL_EMPIRE_RECIPIENT'	=> 'Recipient empire:',
	'LABEL_EMPIRE_TARGET'		=> 'Target empire:',
	'LABEL_VALCODE'			=> 'Validation Code:',
	'LABEL_FROM'			=> 'From:',
	'LABEL_TO'			=> 'To:',
	'LABEL_DATE'			=> 'Date:',
	'LABEL_SUBJECT'			=> 'Subject:',

	// Row labels
	'ROW_CASH'			=> 'Money',
	'ROW_TURNS'			=> 'Turns',
	'ROW_TURNSUSED'			=> 'Turns Used',
	'ROW_STOREDTURNS'		=> 'Stored Turns',
	'ROW_LAND'			=> 'Land',
	'ROW_RANK'			=> 'Rank',
	'ROW_LANDACRES'			=> 'Land Acres',
	'ROW_NETWORTH'			=> 'Networth',
	'ROW_HEALTH'			=> 'Health',
	'ROW_TAX'			=> 'Tax Rate',
	'ROW_RACE'			=> 'Race',
	'ROW_ERA'			=> 'Era',
	'ROW_POPULATION'		=> 'Population',

	// Column labels
	'COLUMN_UNIT'			=> 'Unit',
	'COLUMN_STRUCTURE'		=> 'Structure',
	'COLUMN_OWNED'			=> 'Owned',
	'COLUMN_AVAIL'			=> 'Available',
	'COLUMN_PRICE'			=> 'Price',
	'COLUMN_QUANTITY'		=> 'Quantity',
	'COLUMN_STATUS'			=> 'Status',
	'COLUMN_CANSEND'		=> 'Can Send',
	'COLUMN_SEND'			=> 'Send',
	'COLUMN_CANBUILD'		=> 'Can Build',
	'COLUMN_BUILD'			=> 'Build',
	'COLUMN_CANDEMO'		=> 'Can Demolish',
	'COLUMN_DEMO'			=> 'Demolish',
	'COLUMN_CANDROP'		=> 'Can Drop',
	'COLUMN_DROP'			=> 'Drop',
	'COLUMN_CANBUY'			=> 'Can Buy',
	'COLUMN_BUY'			=> 'Buy',
	'COLUMN_CANSELL'		=> 'Can Sell',
	'COLUMN_SELL'			=> 'Sell',
	'COLUMN_CLANRANK'		=> 'Clan Rank',
	'COLUMN_EMPIRE'			=> 'Empire',
	'COLUMN_NETWORTH'		=> 'Networth',
	'COLUMN_RANK'			=> 'Rank',
	'COLUMN_RACE'			=> 'Race',
	'COLUMN_ERA'			=> 'Era',
	'COLUMN_LAND'			=> 'Land',
	'COLUMN_CLAN'			=> 'Clan',
	'COLUMN_SCORE'			=> 'Score',
	'COLUMN_SHARING'		=> 'Sharing',
	'COLUMN_SHAREYOU'		=> 'Shared by You',
	'COLUMN_SHARETOTAL'		=> 'Total Shared',
	'COLUMN_CLAN_NAME'		=> 'Name',
	'COLUMN_CLAN_TITLE'		=> 'Title',
	'COLUMN_CLAN_MEMBERS'		=> 'Members',
	'COLUMN_CLAN_AVGNET'		=> 'Average Networth',
	'COLUMN_CLAN_TOTALNET'		=> 'Total Networth',
	'COLUMN_CLAN_LEADER'		=> 'Leader',
	'COLUMN_CLAN_ASST'		=> 'Assistant',
	'COLUMN_CLAN_FAS'		=> 'Ministers of Foreign Affairs',
	'COLUMN_DEATH'			=> 'Cause of Death',
	'COLUMN_ATTACKS'		=> 'Attacks',
	'COLUMN_DEFENDS'		=> 'Defends',
	'COLUMN_KILLS'			=> 'Kills',
	'COLUMN_DEATHS'			=> 'Deaths',
	'COLUMN_USER'			=> 'Player',
	'COLUMN_AVGRANK'		=> 'Avg Rank',
	'COLUMN_BESTRANK'		=> 'Best Rank',
	'COLUMN_ROUNDSPLAYED'		=> 'Rounds Played',

	'COLUMN_ADMIN_USERID'		=> 'UID',
	'COLUMN_ADMIN_EMPIREID'		=> 'EID',
	'COLUMN_ADMIN_NICKNAME'		=> 'Nickname',
	'COLUMN_ADMIN_USERNAME'		=> 'Username',
	'COLUMN_ADMIN_EMPNAME'		=> 'Name',
	'COLUMN_ADMIN_IPADDR'		=> 'IP',
	'COLUMN_ADMIN_IDLE'		=> 'Idle',
	'COLUMN_ADMIN_EMAIL'		=> 'E-mail',
	'COLUMN_ADMIN_FLAGS'		=> 'Flags',
	'COLUMN_ADMIN_COMMENT'		=> 'Comment',

	// Common singular/plural labels
	'DAYS_SINGLE'			=> '%s day',
	'DAYS_PLURAL'			=> '%s days',
	'HOURS_SINGLE'			=> '%s hour',
	'HOURS_PLURAL'			=> '%s hours',
	'MINUTES_SINGLE'		=> '%s minute',
	'MINUTES_PLURAL'		=> '%s minutes',
	'TURNS_SINGLE'			=> '%s turn',
	'TURNS_PLURAL'			=> '%s turns',
	'OLD_MESSAGES_SINGLE'		=> '%s old message',
	'OLD_MESSAGES_PLURAL'		=> '%s old messages',
	'NEW_MESSAGES_SINGLE'		=> '%s new message',
	'NEW_MESSAGES_PLURAL'		=> '%s new messages',
	'SHIPMENTS_SINGLE'		=> '%s shipment',
	'SHIPMENTS_PLURAL'		=> '%s shipments',
	'STRUCTURES_SINGLE'		=> '%s structure',
	'STRUCTURES_PLURAL'		=> '%s structures',
	'ACRES_SINGLE'			=> '%s acre',
	'ACRES_PLURAL'			=> '%s acres',
	'TICKETS_SINGLE'		=> '%s ticket',
	'TICKETS_PLURAL'		=> '%s tickets',
	'EMPIRES_SINGLE'		=> '%s empire',
	'EMPIRES_PLURAL'		=> '%s empires',

	// Common shared strings
	'TURNS_UNAVAILABLE_START'	=> 'Turns may not be used before the round has begun.',
	'TURNS_UNAVAILABLE_END'		=> 'Turns may not be used after the round has ended.',
	'COMMON_YES'			=> 'Yes',
	'COMMON_NO'			=> 'No',
	'COMMON_YES_SHORT'		=> 'Y',
	'COMMON_NO_SHORT'		=> 'N',
	'COMMON_COLORKEY'		=> 'Color Key:',
	'COMMON_COLOR_NEW'		=> 'New',
	'COMMON_COLOR_DISABLED'		=> 'Disabled',
	'COMMON_COLOR_ADMIN'		=> 'Administrator',
	'COMMON_COLOR_PROTECT'		=> 'Protected',
	'COMMON_COLOR_DEAD'		=> 'Dead',
	'COMMON_COLOR_CLOSED'		=> 'Closed',
	'COMMON_POINTS_GAIN_SINGLE'	=> '(+%spt)',
	'COMMON_POINTS_GAIN_PLURAL'	=> '(+%spts)',
	'COMMON_POINTS_LOSE_SINGLE'	=> '(-%spt)',
	'COMMON_POINTS_LOSE_PLURAL'	=> '(-%spts)',
	'COMMON_USER_NAMEID'		=> '%1$s (%2$s)',
	'COMMON_EMPIRE_NAMEID'		=> '%1$s (%2$s)',
	'COMMON_CLAN_NAMEID'		=> '%1$s (%2$s)',
	'COMMON_USER_UNINITIALIZED'	=> 'Uninitialized User',
	'COMMON_EMPIRE_UNINITIALIZED'	=> 'Uninitialized Empire',
	'COMMON_CLAN_UNINITIALIZED'	=> 'Uninitialized Clan',
	'COMMON_PAGES_LABEL'		=> 'Pages:',
	'COMMON_PAGES_PREV'		=> '&lt;',
	'COMMON_PAGES_NEXT'		=> '&gt;',
	'COMMON_PAGES_SEP'		=> ', ',
	'COMMON_PAGES_GAP'		=> ' ... ',
	'COMMON_TURNS_SUMMARY'		=> 'Summary only',
	'COMMON_TURNS_CURRENT_MAX'	=> '%1$s (max %2$s)',

	'ADMIN_STATUS_DELETED'		=> 'Deleted',
	'ADMIN_STATUS_ADMIN'		=> 'Admin',
	'ADMIN_STATUS_MODERATOR'	=> 'Moderator',
	'ADMIN_STATUS_DISABLED_MULTI'	=> 'Disabled (multi:%1$s)',
	'ADMIN_STATUS_DISABLED_OTHER'	=> 'Disabled (other:%1$s)',
	'ADMIN_STATUS_UNVALIDATED_NOTIFY'	=> 'Unvalidated (notify)',
	'ADMIN_STATUS_DEAD_NOTIFY'	=> 'Dead (notify)',
	'ADMIN_STATUS_VACATION'		=> 'Vacation',
	'ADMIN_STATUS_UNKNOWN_NOTIFY'	=> 'Unknown (notify)',
	'ADMIN_STATUS_DEAD'		=> 'Dead',
	'ADMIN_STATUS_MULTI'		=> 'Multi',
	'ADMIN_STATUS_NORMAL'		=> 'Normal',
	'ADMIN_STATUS_UNVALIDATED'	=> 'Unvalidated',
	'ADMIN_STATUS_NEW'		=> 'New account',

	// includes/header
	'HEADER_LOGGED_IN_AS'		=> 'Currently logged in as user <span style="font-size:large">%1$s</span>, empire <span style="font-size:large">%2$s</span>',
	'HEADER_GAME_NEWS'		=> '<b>Game News:</b>',
	'HEADER_GUIDE'			=> '[Game Guide]',
	'HEADER_REFRESH'		=> '[Refresh]',

	'VACATION_NOT_LOCKED'		=> 'This empire was placed on vacation %1$s ago.<br />It will be frozen in %2$s.<br />',
	'VACATION_LOCKED'		=> 'This empire is on vacation and has been frozen for %1$s.<br />',
	'VACATION_CANNOT_UNLOCK'	=> 'It may be unlocked in %1$s.<br />',
	'VACATION_CAN_UNLOCK'		=> 'You may resume playing at your own convenience.<br />',
	'VACATION_UNLOCK_SUBMIT'	=> 'Return from Vacation',

	'DEAD_UNNOTIFIED'		=> 'You arrive at your empire, only to find it is in ruins. A wounded messenger staggers toward you and tells you what happened...',
	'DEAD_NOTIFIED'			=> 'Your empire has been destroyed. There is nothing more for you to do other than review the events which led to your destruction...',
	'DEAD_DELETE_NOTICE'		=> 'Your empire will be deleted in %1$s, after which you will have the opportunity to create a new empire.',

	'UNVALIDATED_UNNOTIFIED'	=> 'It is now necessary to validate your account. If you did not receive your validation email, you can have it resent.',
	'UNVALIDATED_NOTIFIED'		=> 'You are not validated and cannot continue from here. If you did not receive your validation e-mail, you can have it resent.',
	'UNVALIDATED_ENTER_CODE'	=> 'Enter Validation Code:',

	'DISABLED_DEFAULT_REASON'	=> 'an unspecified reason',
	'DISABLED_DEFAULT_REASON_MULTI'	=> 'abuse of multiple accounts',
	'DISABLED_BY_ADMIN'		=> 'This empire has been disabled by %1$s due to %2$s.<br />You are advised to email this Administrator at <a href="mailto:%3$s?subject=%4$s">%3$s</a> and explain your actions if you wish to continue playing.<br />',
	'DISABLED_BY_SCRIPT'		=> 'This empire has been automatically disabled due to %1$s.<br />Please contact the game administrator at <a href="mailto:%2$s?subject=%3$s">%2$s</a> for more information.<br />',
	'DISABLED_EMAIL_SUBJECT'	=> '%1$s - disabled %2$s',
	'DISABLED_EMAIL_REMINDER'	=> 'Be sure to include your empire name and number and put the game name (%1$s) in the Subject line or you may be ignored.<br />',

	'HEADER_EMPIRE_DELETED'		=> 'Your empire has been marked for deletion. Thanks for playing!',

	// includes/guide
	'GUIDE_HEADER'			=> 'Promisance Guide',
	'GUIDE_INTRO'			=> 'Getting Started',
	'GUIDE_INFO'			=> 'Information',
	'GUIDE_TURNS'			=> 'Spending Turns',
	'GUIDE_FINANCE'			=> 'Finances',
	'GUIDE_FOREIGN'			=> 'Foreign Affairs',
	'GUIDE_MANAGE'			=> 'Management',
	'GUIDE_ADMIN'			=> 'Administration',
	'GUIDE_SELECT_TOPIC'		=> 'Please select a topic:',

	// includes/magic
	'SPELL_GENERIC_SUCCESS'		=> 'You cast the spell and it is <span class="cgood">successful</span>!',
	'SPELL_GENERIC_FAILED'		=> 'You cast the spell and it <span class="cbad">fizzles</span>!',
	'SPELL_GENERIC_FAILED_LOSSES'	=> '%1$s %2$s are killed in a magical explosion!',
	'SPELL_GENERIC_SHIELDED'	=> 'You cast the spell and it is <span class="cbad">successful</span>, but <span class="cwarn">partially blocked</span>.',

	// spells/*
	'SPELL_SPY_SUCCESS'		=> 'You have learned the following information:',
	'SPELL_BLAST_SUCCESS'		=> 'You have eliminated 3% of your opponent\'s forces!',
	'SPELL_BLAST_SHIELDED'		=> 'You have eliminated 1% of your opponent\'s forces.',
	'SPELL_SHIELD_CREATE'		=> 'There is now a protective shield around your empire for 12 hours!',
	'SPELL_SHIELD_EXTEND'		=> 'You have extended your shield for another 3 hours!',
	'SPELL_SHIELD_RENEW'		=> 'Your shield has been renewed to 12 hours!',
	'SPELL_STORM_SUCCESS'		=> 'Your storms have blown away %1$s %2$s and %3$s!',
	'SPELL_STORM_SHIELDED'		=> 'Your storms have blown away %1$s %2$s and %3$s.',
	'SPELL_RUNES_SUCCESS'		=> 'You have destroyed %1$s of your enemy\'s %2$s!',
	'SPELL_RUNES_SHIELDED'		=> 'You have destroyed %1$s of your enemy\'s %2$s.',
	'SPELL_STRUCT_SUCCESS'		=> 'You have destroyed %1$s of your enemy\'s structures!',
	'SPELL_STRUCT_SHIELDED'		=> 'You have destroyed %1$s of your enemy\'s structures.',
	'SPELL_STRUCT_NOEFFECT'		=> 'Unfortunately, your spell had no effect.',
	'SPELL_FOOD_SUCCESS'		=> '%1$s %2$s materializes in your empire\'s stockpiles!',
	'SPELL_CASH_SUCCESS'		=> '%1$s materializes in your empire\'s treasury!',
	'SPELL_GATE_CREATE'		=> 'You have opened a time gate. You may now interact with any empire for 12 hours!',
	'SPELL_GATE_EXTEND'		=> 'You have extended your time gate for another 3 hours!',
	'SPELL_GATE_RENEW'		=> 'Your time gate has been renewed to 12 hours!',
	'SPELL_UNGATE_SUCCESS'		=> 'Your time gate has been closed!',
	'SPELL_FIGHT_ATTACKING'		=> 'Your %1$s focus all of their energy directly upon the %2$s of %3$s...',
	'SPELL_FIGHT_SUCCESS_HEADER'	=> 'A massive field of energy covers the lands of %1$s, and your %2$s capture %3$s acres of land!',
	'SPELL_FIGHT_SUCCESS_LOSSES'	=> '%3$s of your opponent\'s %4$s are eliminated in the resulting shockwave, but not before destroying %1$s of your %2$s.',
	'SPELL_FIGHT_BLOCKED_HEADER'	=> 'A massive field of energy begins to form over the lands of %1$s, but their %2$s reflect it back upon you!',
	'SPELL_FIGHT_BLOCKED_LOSSES'	=> 'The resulting shockwave eliminates %1$s of your %2$s, while %3$s of your opponent\'s %4$s are destroyed from the initial energy field.',
	'SPELL_STEAL_SUCCESS'		=> 'You have embezzled %1$s from your enemy\'s treasury!',
	'SPELL_STEAL_SHIELDED'		=> 'You have embezzled %1$s from your enemy\'s treasury.',
	'SPELL_ADVANCE_SUCCESS'		=> 'You have advanced to the next age!',
	'SPELL_REGRESS_SUCCESS'		=> 'You have regressed to the previous age!',

	// turns output
	'TURNS_WITHDRAW'		=> 'The World Bank notifies you that your savings balance has exceeded the insured limit, so you withdraw %1$s.',
	'TURNS_CASH_HEADER'		=> 'Economic Status',
	'TURNS_CASH_INCOME'		=> 'Income:',
	'TURNS_CASH_EXPENSE'		=> 'Expenses:',
	'TURNS_CASH_WARTAX'		=> 'War Tax:',
	'TURNS_CASH_LOANPAY'		=> 'Loan Pay:',
	'TURNS_CASH_NET'		=> 'Net:',
	'TURNS_FOOD_HEADER'		=> 'Agricultural Status',
	'TURNS_FOOD_PRODUCE'		=> 'Produced:',
	'TURNS_FOOD_CONSUME'		=> 'Consumed:',
	'TURNS_FOOD_NET'		=> 'Net:',
	'TURNS_UNITS_HEADER'		=> 'Population &amp; Military Status',
	'TURNS_UNITS_NOCHANGE'		=> 'No changes',
	'TURNS_TAX_HIGH'		=> 'Your high tax rate is angering your residents.',
	'TURNS_TAX_LOW'			=> 'Your low tax rate is encouraging immigration.',
	'TURNS_TROUBLE_CASH'		=> 'You have insufficient funds to maintain your empire! You rush to the World Bank to take out a loan...',
	'TURNS_TROUBLE_LOAN'		=> 'The World Bank refuses your request for a loan, despite your emergency!',
	'TURNS_TROUBLE_FOOD'		=> 'You have run out of food! Your people are starving!',
	'TURNS_TROUBLE_LOSSES_CONTINUE'	=> '%1$s of your population and military have deserted your empire! Unfortunately, you have no choice but to continue...',
	'TURNS_TROUBLE_LOSSES_HALT'	=> '%1$s of your population and military have deserted your empire! You immediately stop what you are doing, preventing the problem from getting any worse.',

	// empire news reports
	'EMPNEWS_DATE_FORMAT'		=> '%1$s ago',
	'EMPNEWS_GIVE_MARKET_SELL'	=> 'You sold %1$s %2$s on the market.',
	'EMPNEWS_GIVE_LOTTERY'		=> 'You won the lottery!',
	'EMPNEWS_GIVE_MARKET_RETURN'	=> 'Your %1$s %2$s failed to sell on the market.',
	'EMPNEWS_GIVE_AID_SEND'		=> '%1$s\'s %2$s drop off their shipment, then %3$s turn back and return home.',
	'EMPNEWS_GIVE_AID_RETURN_ALL'	=> 'Your %1$s returned from their aid shipment.',
	'EMPNEWS_GIVE_AID_RETURN_SOME'	=> '%1$s of your %2$s %3$s have returned from their aid shipment.',
	'EMPNEWS_GIVE_COLUMN_DATE'	=> 'Date',
	'EMPNEWS_GIVE_COLUMN_GAIN'	=> 'Gain',
	'EMPNEWS_GIVE_COLUMN_DESCRIBE'	=> 'Description',
	'EMPNEWS_ATTACH_MARKET_SELL'	=> 'You sold %1$s %2$s on the market for %3$s.',
	'EMPNEWS_ATTACH_LOTTERY'	=> 'The winning lottery ticket number is announced. You look at your lottery ticket and it matches! You have won %1$s!',
	'EMPNEWS_ATTACH_MARKET_RETURN'	=> 'Your %1$s %2$s failed to sell on the market for their price of %3$s; %4$s of them have been returned to your empire.',
	'EMPNEWS_ATTACH_AID_SEND'	=> '%1$s has sent you %2$s %3$s carrying:',
	'EMPNEWS_ATTACH_AID_RETURN_ALL'		=> 'Your %1$s %2$s have returned from their aid shipment to %3$s.',
	'EMPNEWS_ATTACH_AID_RETURN_SOME'	=> '%1$s of your %2$s %3$s have returned from their aid shipment to %4$s.',
	'EMPNEWS_ATTACH_AID_RETURN_NONE'	=> 'None of your %1$s %2$s made it back intact from their aid shipment to %3$s.',
	'EMPNEWS_MAGIC_SPY_FAILED'	=> 'You find %1$s attempting to view your empire!',
	'EMPNEWS_MAGIC_SPY_SUCCESS'	=> 'You find another empire viewing your stats!',
	'EMPNEWS_MAGIC_BLAST_FAILED'	=> '%1$s tried to eliminate your forces!',
	'EMPNEWS_MAGIC_BLAST_SUCCESS'	=> '3%% of your forces were eliminated by %1$s!',
	'EMPNEWS_MAGIC_BLAST_SHIELDED'	=> '1%% of your forces were eliminated by %1$s!',
	'EMPNEWS_MAGIC_STORM_FAILED'	=> 'You notice %1$s trying to cause storms on your land!',
	'EMPNEWS_MAGIC_STORM_SUCCESS'	=> 'Storms have blown away %1$s %2$s and %3$s!',
	'EMPNEWS_MAGIC_STORM_SHIELDED'	=> 'Storms have blown away %1$s %2$s and %3$s, though your shield protected most of your goods.',
	'EMPNEWS_MAGIC_RUNES_FAILED'	=> 'You find %1$s attempting to disturb your %2$s!',
	'EMPNEWS_MAGIC_RUNES_SUCCESS'	=> 'Lightning destroyed %1$s of your %2$s!',
	'EMPNEWS_MAGIC_RUNES_SHIELDED'	=> 'Lightning destroyed %1$s of your %2$s, though your shield absorbed most of the damage.',
	'EMPNEWS_MAGIC_STRUCT_FAILED'	=> 'You find %1$s attempting to send monsters into your empire!',
	'EMPNEWS_MAGIC_STRUCT_SUCCESS'	=> 'Monsters have destroyed part of your empire!',
	'EMPNEWS_MAGIC_STRUCT_SHIELDED'	=> 'Monsters have destroyed part of your empire, though your shield kept most of them out.',
	'EMPNEWS_MAGIC_STRUCT_NOEFFECT'	=> 'Monsters were sent into your empire, but they found nothing to destroy.',
	'EMPNEWS_MAGIC_FIGHT_FAILED'	=> 'You find %1$s attempting to fight with your %2$s!',
	'EMPNEWS_MAGIC_FIGHT_SUCCESS'	=> '%1$s attacked you with %2$s!',
	'EMPNEWS_MAGIC_FIGHT_DEFEATED'	=> 'Your enemy captured %1$s acres of land.',
	'EMPNEWS_MAGIC_FIGHT_DEFENDED'	=> 'You held your defense and your enemy was repelled.',
	'EMPNEWS_MAGIC_FIGHT_LOSSES_YOU'	=> 'During the attack, you lost %1$s %2$s.',
	'EMPNEWS_MAGIC_FIGHT_LOSSES_ENEMY'	=> 'While defending, you managed to destroy %1$s %2$s.',
	'EMPNEWS_MAGIC_STEAL_FAILED'	=> 'You find %1$s trying to embezzle your money!',
	'EMPNEWS_MAGIC_STEAL_SUCCESS'	=> 'Someone stole %1$s from your treasury!',
	'EMPNEWS_MAGIC_STEAL_SHIELDED'	=> 'Someone stole %1$s from your treasury, though your shield prevented them from stealing more.',
	'EMPNEWS_MILITARY_AID'		=> 'Your forces came to the aid of %1$s in defense from %2$s!',
	'EMPNEWS_MILITARY_KILL'		=> 'As %1$s delivers their final blow, your empire collapses...',
	'EMPNEWS_MILITARY_STANDARD'	=> '%1$s attacked you!',
	'EMPNEWS_MILITARY_SURPRISE'	=> '%1$s attacked you by surprise!',
	'EMPNEWS_MILITARY_UNIT'		=> '%1$s attacked you with %2$s!',
	'EMPNEWS_MILITARY_DEFEATED'	=> 'Your enemy captured %1$s acres of land.',
	'EMPNEWS_MILITARY_DEFENDED'	=> 'You held your defense and your enemy was repelled.',
	'EMPNEWS_MILITARY_LOSSES_YOU_SINGLE'		=> 'During the attack, you lost %1$s %2$s.',
	'EMPNEWS_MILITARY_LOSSES_YOU_MULTIPLE'		=> 'During the attack, you lost %1$s.',
	'EMPNEWS_MILITARY_LOSSES_ENEMY_SINGLE'		=> 'While defending, you managed to destroy %1$s %2$s.',
	'EMPNEWS_MILITARY_LOSSES_ENEMY_MULTIPLE'	=> 'While defending, you managed to destroy %1$s.',
	'EMPNEWS_CLAN_CREATE'		=> 'You founded <b>%1$s</b>.',
	'EMPNEWS_CLAN_DISBAND'		=> 'You disbanded <b>%1$s</b>.',
	'EMPNEWS_CLAN_JOIN_SELF'	=> 'You joined <b>%1$s</b>.',
	'EMPNEWS_CLAN_JOIN_OTHER'	=> '%1$s joined <b>%2$s</b>.',
	'EMPNEWS_CLAN_LEAVE_SELF'	=> 'You left <b>%1$s</b>.',
	'EMPNEWS_CLAN_LEAVE_OTHER'	=> '%1$s left <b>%2$s</b>.',
	'EMPNEWS_CLAN_REMOVE'		=> '%1$s removed you from <b>%2$s</b>.',
	'EMPNEWS_CLAN_GRANT_LEADER'	=> '%1$s made you leader of <b>%2$s</b>.',
	'EMPNEWS_CLAN_INHERIT_LEADER'	=> 'You inherited leadership of <b>%1$s</b> from the late %2$s.',
	'EMPNEWS_CLAN_REVOKE_LEADER'	=> '%1$s has removed you from your position as Leader of <b>%2$s</b>.',
	'EMPNEWS_CLAN_GRANT_ASSISTANT'	=> '%1$s made you Assistant Leader of <b>%2$s</b>.',
	'EMPNEWS_CLAN_REVOKE_ASSISTANT'	=> '%1$s has removed you from your position as Assistant Leader of <b>%2$s</b>.',
	'EMPNEWS_CLAN_GRANT_MINISTER'	=> '%1$s made you a Minister of Foreign Affairs of <b>%2$s</b>.',
	'EMPNEWS_CLAN_REVOKE_MINISTER'	=> '%1$s has removed you from your position as Minister of Foreign Affairs of <b>%2$s</b>.',
	'EMPNEWS_CLAN_WAR_START'	=> 'By the command of %1$s, <b>%2$s</b> has declared war on <b>%3$s</b>!',
	'EMPNEWS_CLAN_WAR_REQUEST'	=> '%1$s steps forward in apology and pledges to resolve <b>%2$s</b>\'s conflict with <b>%3$s</b>!',
	'EMPNEWS_CLAN_WAR_STOP'		=> '%1$s, on the behalf of <b>%2$s</b>, accepts <b>%3$s</b>\'s declaration of peace.',
	'EMPNEWS_CLAN_WAR_RETRACT'	=> '%1$s recants <b>%2$s</b>\'s declaration of peace with <b>%3$s</b> and continues the war!',
	'EMPNEWS_CLAN_WAR_REJECT'	=> '%1$s, representing <b>%2$s</b>, rejects <b>%3$s</b>\'s declaration of peace and continues the war!',
	'EMPNEWS_CLAN_WAR_GONE'		=> '<b>%1$s</b>, whom <b>%2$s</b> was at war with, has been disbanded.',
	'EMPNEWS_CLAN_ALLY_REQUEST'	=> 'By the request of %1$s, <b>%2$s</b> reaches out its arms toward <b>%3$s</b> in alliance!',
	'EMPNEWS_CLAN_ALLY_START'	=> 'By the authority of %1$s, <b>%2$s</b> accepts and establishes an alliance with <b>%3$s</b>!',
	'EMPNEWS_CLAN_ALLY_STOP'	=> 'By %1$s\'s order, <b>%2$s</b> ceases all diplomatic relations with <b>%3$s</b>!',
	'EMPNEWS_CLAN_ALLY_RETRACT'	=> '%1$s retracts <b>%2$s</b>\'s request for alliance with <b>%3$s</b>!',
	'EMPNEWS_CLAN_ALLY_DECLINE'	=> '%1$s, on the behalf of <b>%2$s</b>, declines <b>%3$s</b>\'s request for an alliance!',
	'EMPNEWS_CLAN_ALLY_GONE'	=> '<b>%1$s</b>, an ally of <b>%2$s</b>, has been disbanded.',
	'EMPNEWS_CLAN_INVITE_TEMP'	=> '%1$s has invited you to join <b>%2$s</b> within the next %3$s.',
	'EMPNEWS_CLAN_INVITE_PERM'	=> '%1$s has offered you an extended invitation to join <b>%2$s</b> whenever you desire.',
	'EMPNEWS_CLAN_UNINVITE_TEMP'	=> '%1$s has cancelled your invitation to join <b>%2$s</b>.',
	'EMPNEWS_CLAN_UNINVITE_PERM'	=> '%1$s has cancelled your extended invitation to join <b>%2$s</b>.',
	'EMPNEWS_COLUMN_TIME'		=> 'Time',
	'EMPNEWS_COLUMN_EVENT'		=> 'Event',

	// clan news reports
	'CLANNEWS_MEMBER_CREATE'		=> '<b>%1$s</b> founded the clan.',
	'CLANNEWS_MEMBER_JOIN'			=> '<b>%1$s</b> joined.',
	'CLANNEWS_MEMBER_LEAVE'			=> '<b>%1$s</b> left.',
	'CLANNEWS_MEMBER_REMOVE'		=> '<b>%1$s</b> was kicked by <b>%2$s</b>.',
	'CLANNEWS_MEMBER_DEAD'			=> '<b>%1$s</b> died and was removed.',
	'CLANNEWS_MEMBER_SHARE'			=> '<b>%1$s</b> began sharing forces.',
	'CLANNEWS_MEMBER_UNSHARE'		=> '<b>%1$s</b> stopped sharing forces.',
	'CLANNEWS_MEMBER_INVITE_TEMP'		=> '<b>%1$s</b> invited <b>%2$s</b>.',
	'CLANNEWS_MEMBER_INVITE_PERM'		=> '<b>%1$s</b> permanently invited <b>%2$s</b>.',
	'CLANNEWS_MEMBER_UNINVITE_TEMP'		=> '<b>%1$s</b> cancelled <b>%2$s</b>\'s invitation.',
	'CLANNEWS_MEMBER_UNINVITE_PERM'		=> '<b>%1$s</b> cancelled <b>%2$s</b>\'s permanent invitation.',
	'CLANNEWS_PERM_GRANT_LEADER'		=> '<b>%2$s</b> granted the position of Leader to <b>%1$s</b>.',
	'CLANNEWS_PERM_REVOKE_LEADER'		=> '<b>%2$s</b> revoked the position of Leader from <b>%1$s</b>.',
	'CLANNEWS_PERM_REVOKE_LEADER_SELF'	=> '<b>%1$s</b> stepped down from the position of Leader.',
	'CLANNEWS_PERM_GRANT_ASSISTANT'		=> '<b>%2$s</b> granted the position of Assistant Leader to <b>%1$s</b>.',
	'CLANNEWS_PERM_REVOKE_ASSISTANT'	=> '<b>%2$s</b> revoked the position of Assistant Leader from <b>%1$s</b>.',
	'CLANNEWS_PERM_GRANT_MINISTER'		=> '<b>%2$s</b> granted the position of Minister of Foreign Affairs to <b>%1$s</b>.',
	'CLANNEWS_PERM_REVOKE_MINISTER'		=> '<b>%2$s</b> revoked the position of Minister of Foreign Affairs from <b>%1$s</b>.',
	'CLANNEWS_PERM_ASSISTANT_INHERIT'	=> '<b>%1$s</b> was promoted from the position of Assistant Leader to Leader, replacing the late <b>%2$s</b>.',
	'CLANNEWS_PERM_MINISTER_INHERIT'	=> '<b>%1$s</b> was promoted from the position of Minister of Foreign Affairs to Leader, replacing the late <b>%2$s</b>.',
	'CLANNEWS_PERM_MEMBER_INHERIT'		=> '<b>%1$s</b> was promoted to the position Leader, replacing the late <b>%2$s</b>.',
	'CLANNEWS_PROP_CHANGE_PASSWORD'		=> '<b>%1$s</b> changed the clan password.',
	'CLANNEWS_PROP_CHANGE_TITLE'		=> '<b>%1$s</b> changed the clan\'s title.',
	'CLANNEWS_PROP_CHANGE_URL'		=> '<b>%1$s</b> changed the clan\'s homepage URL.',
	'CLANNEWS_PROP_CHANGE_LOGO'		=> '<b>%1$s</b> changed the clan\'s logo.',
	'CLANNEWS_RECV_WAR_START'		=> '<b>%1$s</b> of clan <b>%2$s</b> declared war!',
	'CLANNEWS_RECV_WAR_REQUEST'		=> '<b>%1$s</b> of clan <b>%2$s</b> requested a peace treaty.',
	'CLANNEWS_RECV_WAR_STOP'		=> '<b>%1$s</b> of clan <b>%2$s</b> agreed to end the war.',
	'CLANNEWS_RECV_WAR_RETRACT'		=> '<b>%1$s</b> of clan <b>%2$s</b> retracted their peace treaty!',
	'CLANNEWS_RECV_WAR_REJECT'		=> '<b>%1$s</b> of clan <b>%2$s</b> rejected your peace treaty!',
	'CLANNEWS_RECV_WAR_GONE'		=> 'Clan <b>%1$s</b>, previously at war, was disbanded.',
	'CLANNEWS_RECV_ALLY_REQUEST'		=> '<b>%1$s</b> of clan <b>%2$s</b> requested an alliance.',
	'CLANNEWS_RECV_ALLY_START'		=> '<b>%1$s</b> of clan <b>%2$s</b> accepted your alliance.',
	'CLANNEWS_RECV_ALLY_STOP'		=> '<b>%1$s</b> of clan <b>%2$s</b> terminated your alliance!',
	'CLANNEWS_RECV_ALLY_RETRACT'		=> '<b>%1$s</b> of clan <b>%2$s</b> retracted their offer of alliance!',
	'CLANNEWS_RECV_ALLY_DECLINE'		=> '<b>%1$s</b> of clan <b>%2$s</b> declined your offer of alliance.',
	'CLANNEWS_RECV_ALLY_GONE'		=> 'Clan <b>%1$s</b>, former ally, was disbanded.',
	'CLANNEWS_SEND_WAR_START'		=> '<b>%1$s</b> declared war on clan <b>%2$s</b>!',
	'CLANNEWS_SEND_WAR_REQUEST'		=> '<b>%1$s</b> requested a peace treaty with clan <b>%2$s</b>.',
	'CLANNEWS_SEND_WAR_STOP'		=> '<b>%1$s</b> accepted the peace treaty from clan <b>%2$s</b>.',
	'CLANNEWS_SEND_WAR_RETRACT'		=> '<b>%1$s</b> retracted your proposed peace treaty from clan <b>%2$s</b>!',
	'CLANNEWS_SEND_WAR_REJECT'		=> '<b>%1$s</b> rejected the peace treaty from clan <b>%2$s</b>!',
	'CLANNEWS_SEND_ALLY_REQUEST'		=> '<b>%1$s</b> requested an alliance with clan <b>%2$s</b>.',
	'CLANNEWS_SEND_ALLY_START'		=> '<b>%1$s</b> accepted the alliance request from clan <b>%2$s</b>.',
	'CLANNEWS_SEND_ALLY_STOP'		=> '<b>%1$s</b> terminated your alliance with clan <b>%2$s</b>.',
	'CLANNEWS_SEND_ALLY_RETRACT'		=> '<b>%1$s</b> retracted your offer of alliance from clan <b>%2$s</b>.',
	'CLANNEWS_SEND_ALLY_DECLINE'		=> '<b>%1$s</b> declined the alliance request from clan <b>%2$s</b>.',
	'CLANNEWS_COLUMN_TIME'			=> 'Time',
	'CLANNEWS_COLUMN_EVENT'			=> 'Event',

	// special effects
	'EFFECT_SHIELD'			=> 'We currently have a shield against magic which will last for %1$s more hours.',
	'EFFECT_GATE'			=> 'We currently have an open time portal which will last for %1$s more hours.',

	// other
	'HTML_TITLE'			=> 'Promisance - %1$s',
	'HTML_FOOTER'			=> 'QM Promisance v%1$s<br />Copyright © 2001-2009 <a href="http://www.qmtpro.com/">QMT Productions</a>',
	'HTML_DEBUG_FOOTER'		=> 'Page generated in %1$sms using %2$s/%3$s bytes and %4$s queries',
	'HTML_LINK_CREDITS'		=> 'View Credits',
	'HTML_LINK_LOGIN'		=> 'Return to Login',
	'MENU_HEADER_TOP'		=> 'Promisance',
	'MENU_LINK_MAIN'		=> 'Main Menu',
	'MENU_HEADER_INFO'		=> 'Information',
	'MENU_LINK_GUIDE'		=> 'Game Guide',
	'MENU_LINK_STATUS'		=> 'Empire Status',
	'MENU_LINK_SCORES'		=> 'Scores',
	'MENU_LINK_GRAVEYARD'		=> 'Graveyard',
	'MENU_LINK_SEARCH'		=> 'Empire Search',
	'MENU_LINK_NEWS'		=> 'News Search',
	'MENU_LINK_CONTACTS'		=> 'Clan Contacts',
	'MENU_LINK_CLANSTATS'		=> 'Clan Stats',
	'MENU_LINK_FORUMS'		=> 'Forums',
	'MENU_HEADER_TURNS'		=> 'Use Turns',
	'MENU_LINK_FARM'		=> 'Farm',
	'MENU_LINK_CASH'		=> 'Cash',
	'MENU_LINK_LAND'		=> 'Explore',
	'MENU_LINK_BUILD'		=> 'Build',
	'MENU_HEADER_MONEY'		=> 'Finances',
	'MENU_LINK_PVTMARKETBUY'	=> 'Private Market',
	'MENU_LINK_PUBMARKETBUY'	=> 'Public Market',
	'MENU_LINK_BANK'		=> 'World Bank',
	'MENU_LINK_LOTTERY'		=> 'Lottery',
	'MENU_HEADER_FOREIGN'		=> 'Foreign Affairs',
	'MENU_LINK_AID'			=> 'Foreign Aid',
	'MENU_LINK_CLAN'		=> 'Clans',
	'MENU_LINK_CLANFORUM'		=> 'Clan Forum',
	'MENU_LINK_MILITARY'		=> 'War Center',
	'MENU_LINK_MAGIC'		=> 'Magic Center',
	'MENU_HEADER_MANAGE'		=> 'Management',
	'MENU_LINK_MESSAGES'		=> 'Messages',
	'MENU_LINK_MANAGE'		=> 'Manage Empire',
	'MENU_LINK_DELETE'		=> 'Delete Account',
	'MENU_HEADER_ADMIN'		=> 'Administration',
	'MENU_HEADER_MODERATOR'		=> 'Moderation',
	'MENU_LINK_ADMIN_USERS'		=> 'Users',
	'MENU_LINK_ADMIN_EMPIRES'	=> 'Empires',
	'MENU_LINK_ADMIN_CLANS'		=> 'Clans',
	'MENU_LINK_ADMIN_MESSAGES'	=> 'Messages',
	'MENU_LINK_ADMIN_PERMISSIONS'	=> 'Permissions',
	'MENU_LINK_ADMIN_ROUND'		=> 'Round',
	'MENU_LINK_ADMIN_LOCKS'		=> 'DB Locks',
	'MENU_LINK_ADMIN_LOG'		=> 'Event Log',
	'MENU_LINK_ADMIN_MARKET'	=> 'Market',
	'MENU_LINK_ADMIN_HISTORY'	=> 'History',
	'MENU_LINK_LOGOUT'		=> 'Logout',
	'HTML_BONUS_SUBMIT'		=> 'Collect Bonus Turns',
	'HTML_SORT_ASCEND'		=> '▲',
	'HTML_SORT_DESCEND'		=> '▼',
	'STATBAR_NEWMAIL'		=> 'New Mail!',
	'STATBAR_MAILBOX'		=> 'Mailbox',
	'EMAIL_FROM'			=> 'QM Promisance Web Game',
	'VALIDATION_EMAIL_SUBJECT'	=> 'QM Promisance Signup for %1$s - %2$s',
	'VALIDATION_EMAIL_BODY'		=> <<<END_MESSAGE
Thank you for signing up for %1\$s!

----------------------------------------------------------------------
You entered the following information when you signed up:
Username: %2\$s
Empire Name: %3\$s

Your validation code: %4\$s

Once you have used %5\$s turns, you will be required to enter the
above validation code in order to continue playing.
This code is also required if you wish to delete your empire.
----------------------------------------------------------------------

Your e-mail address shall remain strictly confidential and will NOT
be given out to anyone.

%6\$s

Please send any replies to the following address:
%7\$s

If you did not sign up for an account in this game, you may safely
ignore this message.
END_MESSAGE
	,

	// Reasons used when automatically disabling empires
	// Only used with default language
	'DISABLED_SCRIPT_FAIL_SAVE_EMPIRE'	=> 'possible data corruption',
);
?>
